<div class="mat-elevation-z8">
  <table
    mat-table
    class="full-width-table"
    matSort
    aria-label="Elements"
    [dataSource]="dataSource.creditCards"
  >
    <!-- Id Column -->
    <ng-container matColumnDef="card_number">
      <th mat-header-cell *matHeaderCellDef mat-sort-header>
        Credit Card Number
      </th>
      <td mat-cell *matCellDef="let row">{{ row.card_number }}</td>
    </ng-container>

    <!-- Name Column -->
    <ng-container matColumnDef="balance">
      <th mat-header-cell *matHeaderCellDef mat-sort-header>Current Balance</th>
      <td mat-cell *matCellDef="let row">{{ row.balance | currency }}</td>
    </ng-container>

    <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
    <tr mat-row *matRowDef="let row; columns: displayedColumns"></tr>
  </table>

  <mat-paginator
    #paginator
    [length]="dataSource?.creditCards?.length"
    [pageIndex]="0"
    [pageSize]="25"
    [pageSizeOptions]="[25, 50, 100, 250]"
  >
  </mat-paginator>
</div>

<app-add-card-form></app-add-card-form>
